Bug 498130 - Review Request: lxinput - Keyboard and mouse settings dialog for LXDE
Review Request: lxinput - Keyboard and mouse settings dialog for LXDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-04-28 21:23 EDT by Christoph Wickert
Modified: 2009-06-13 15:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 17:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-04-28 21:23:48 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lxinput.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxinput-0.1-1.fc11.src.rpm
Description: LXInput is a keyboard and mouse configuration utility for LXDE, the Lightweight X11 Desktop Environment.
Comment 1 Susi Lehtola 2009-04-29 08:11:30 EDT
rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect  runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK

SHOULD: The package builds in mock.
Comment 2 Susi Lehtola 2009-04-29 08:12:12 EDT
Whoops, I was too fast:
SHOULD: The package builds in mock. OK

The package has been

APPROVED
Comment 3 Christoph Wickert 2009-04-29 08:58:53 EDT
New Package CVS Request
=======================
Package Name: lxinput
Short Description: Keyboard and mouse settings dialog for LXDE
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 4 Christoph Wickert 2009-04-29 10:15:01 EDT
Sorry, no F-9 please.
Comment 5 Kevin Fenzi 2009-04-30 00:59:43 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-30 07:41:03 EDT
lxinput-0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxinput-0.1-1.fc11
Comment 7 Fedora Update System 2009-04-30 07:48:59 EDT
lxinput-0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxinput-0.1-1.fc10
Comment 8 Fedora Update System 2009-05-21 19:25:21 EDT
lxinput-0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-21 19:26:17 EDT
lxinput-0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Christoph Wickert 2009-05-22 21:43:14 EDT
Package Change Request
======================
Package Name: lxinput
New Branches: EL-4 EL-5
Owners: cwickert
Comment 11 Kevin Fenzi 2009-05-23 01:32:46 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.